## org.gnu.gtk
Class ItemFactoryEntry

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.MemStruct
              org.gnu.gtk.ItemFactoryEntry

Deprecated. 2.3 This class contains the data necessary for an `ItemFactory` to create a menu.

public class ItemFactoryEntry
extends MemStruct

Old class replaced by `UIManager`. This class is provided for compatibility only - it will be removed in future releases of java-gnome. Do not use in new code.

See Also:
  `ItemFactory`

Method Summary
`static ItemFactoryEntry` `construct(java.lang.String path, java.lang.String accelerator, MenuItemListener listener, java.lang.String itemType)` Deprecated. Construct a new ItemFactoryEntry
`MenuItemListener` `getMenuListener()` Deprecated. Retrieve the MenuListener associated with this item.

Methods inherited from class org.gnu.glib.MemStruct
`getMemStructFromHandle`

Methods inherited from class org.gnu.glib.Struct
`equals, getHandle, getNullHandle, hashCode`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### construct

    public static ItemFactoryEntry construct(java.lang.String path,
                                             java.lang.String accelerator,
                                             MenuItemListener listener,
                                             java.lang.String itemType)

  Deprecated.
  Construct a new ItemFactoryEntry

  Parameters:
    `path` - A string that defines both the name and the path for a menu item, for example "/File/Open" would be the name of a menu item which would come under the ItemFactory entry with the path "/File". Note however that "/File/Open" would be displayed in the File menu as "Open". A letter preceded by an underscore indicates an accelerator key once the menu is open.
    `accelerator` - A string that indicates a key combination that can be used as a shortcut to that menu item. The string can be made up of either a single character, or a combination of modifier keys with a single character. The available modifier keys are:

         "<ALT>" - alt
         "<CTL>" or "<CTRL>" or "<CONTROL>" - control
         <MOD1>" to "<MOD5>" - modn
         "<SHFT>" or "<SHIFT>" - shift

    `listener` - A menu listener that will receive the MenuEvents fired from the created widgets.
    `itemType` - A string that defines what type of widget is packed into the menu items container. It can be:

         null or "<Item>" - create a simple item
         "<Title>"        - create a title item
         "<CheckItem>"    - create a check item
         "<ToggleItem>"   - create a toggle item
         "<RadioItem>"    - create a (root) radio item
         "Path"                 - create a sister radio item
         "<Tearoff>"      - create a tearoff
         "<Separator>"    - create a separator
         "<Branch>"       - create an item to hold submenus
         "<LastBranch>"   - create a right justified branch

    Note that "<LastBranch>" is only useful for one submenu of a menu.

### getMenuListener

    public MenuItemListener getMenuListener()

  Deprecated.
  Retrieve the MenuListener associated with this item.